[PLUTO-help] reinstallare dpkg ?

ubiqw ubiqw a tiscali.it
Ven 16 Maggio 2008 00:32:25 CEST


Da qualche tempo a questa parte (due o tre settimane, direi, piu' o meno 
dopo un crash per mancanza di corrente), non riesco ad aggiornare lenny 
e provo quindi a sottoporre alla lista i miei dubbi, con le tre domande 
finali.

Allora, per cominciare, dopo il solito apt-get update provo
apt-get dist-upgrade


 >Lettura della lista dei pacchetti in corso... Fatto
 >Generazione dell'albero delle dipendenze in corso
 >Reading state information... Fatto
 >Calcolo dell'aggiornamento in corso... Fatto
 >I seguenti pacchetti saranno RIMOSSI:
 >  amarok-xine libgmime-2.0-2 python-pigment
 >I seguenti pacchetti NUOVI (NEW) saranno installati:
 >  amarok-common amarok-engine-xine amarok-engine-yauap 
 >amarok-konqsidebar ecc ecc


il fatto che tre pacchetti debbano essere rimossi non mi turba, quindi 
proseguo, ma poi apprendo che:


 >Parsing Found/Fixed information... 18%dpkg: la sintassi della versione 
 >`2007-10-01T00:00:00+00:00'  errata: l'"epoch" nella versione non  
un >numero
 >Parsing Found/Fixed information... Fatto
 >Bug critical di grub (0.97-36 -> 0.97-38) <done>
 > #479056 - support for virtio devices (mixed up with cciss stuff) 
 >(Fixed: grub2/1.96+20080512-1)
 > #479735 - support for CCISS devices (Fixed: grub2/1.96+20080512-1)
 >Bug grave di util-linux (2.13.1-3 -> 2.13.1-3+lenny1) <done>
 > #478135 - util-linux: CVE-2008-1926 argument injection passed to 
audit >(Fixed: util-linux/2.13.1.1-1)

e via elencando bug terribili


Tanto per cominciare non sono riuscito a risolvere il problema di EPOCH:

18%dpkg: la sintassi della versione `2007-10-01T00:00:00+00:00'  
errata: l'"epoch" nella versione non  un numero

e piu' in generale trovo strano che, a distanza di ormai due o tre 
settimane, ci siano ancora bug cosi' terribili da impedirmi di andare 
avanti.


Le due domande sono quindi:

1) come si puo' correggere la sintassi di epoch (che non riesco neppure 
a capire dove si trovi?)

2) come fare per aggiornare almeno quei pacchetti che non sono 
interessati da bug (visto che o prendo tutto in blocco o devo usare 
synaptic per deselezionare a manina i pkg buggati) ?

3) non e' che ci sia un modo per reinstallare dpkg (o ripristinare i 
file di configurazione iniziali, se per caso fossero loro ad essersi 
corrotti) ?

grazie per la pazienza e ciao a tutta la lista

               ubiqw






More information about the pluto-help mailing list